Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.gen
Interface GeneratorFactory

All Known Implementing Classes:
  JavaGeneratorFactory, NoopFactory

public interface GeneratorFactory

Generator and Generatoractory are part of the generator framework. Folks who want to use the emitter to generate stuff from WSDL should do 3 things: 1. Write implementations of the Generator interface, one each fo Message, PortType, Binding, Service, and Type. These implementations generate the stuff for each of these WSDL types. 2. Write an implementation of the GeneratorFactory interface that returns instantiations of these Generator implementations as appropriate. 3. Implement a class with a main method (like WSDL2Java) that instantiates an Emitter and passes it the GeneratorFactory implementation.

Method Summary
`void` | `generatorPass(javax.wsdl.Definition def, SymbolTable symbolTable)` Allow the Generator extension to make a pass through the symbol table doing any pre-generation logic, like creating the Java names for each object and constructing signature strings.
`BaseTypeMapping` | `getBaseTypeMapping()`
`Generator` | `getGenerator(javax.wsdl.Binding binding, SymbolTable symbolTable)` Get a Generator implementation that will generate bindings for the given Binding.
`Generator` | `getGenerator(javax.wsdl.Definition definition, SymbolTable symbolTable)` Get a Generator implementation that will generate anything that doesn't fit into the scope of any of the other Generators.
`Generator` | `getGenerator(javax.wsdl.Message message, SymbolTable symbolTable)` Get a Generator implementation that will generate bindings for the given Message.
`Generator` | `getGenerator(javax.wsdl.PortType portType, SymbolTable symbolTable)` Get a Generator implementation that will generate bindings for the given PortType.
`Generator` | `getGenerator(javax.wsdl.Service service, SymbolTable symbolTable)` Get a Generator implementation that will generate bindings for the given Service.
`Generator` | `getGenerator(TypeEntry type, SymbolTable symbolTable)` Get a Generator implementation that will generate bindings for the given Type.
`void` | `setBaseTypeMapping(BaseTypeMapping btm)` Get TypeMapping to use for translating QNames to base types

Method Detail

### generatorPass

    public void generatorPass(javax.wsdl.Definition def,
                              SymbolTable symbolTable)

  Allow the Generator extension to make a pass through the symbol table doing any pre-generation logic, like creating the Java names for each object and constructing signature strings.

### getGenerator

    public Generator getGenerator(javax.wsdl.Message message,
                                  SymbolTable symbolTable)

  Get a Generator implementation that will generate bindings for the given Message.

### getGenerator

    public Generator getGenerator(javax.wsdl.PortType portType,
                                  SymbolTable symbolTable)

  Get a Generator implementation that will generate bindings for the given PortType.

### getGenerator

    public Generator getGenerator(javax.wsdl.Binding binding,
                                  SymbolTable symbolTable)

  Get a Generator implementation that will generate bindings for the given Binding.

### getGenerator

    public Generator getGenerator(javax.wsdl.Service service,
                                  SymbolTable symbolTable)

  Get a Generator implementation that will generate bindings for the given Service.

### getGenerator

    public Generator getGenerator(TypeEntry type,
                                  SymbolTable symbolTable)

  Get a Generator implementation that will generate bindings for the given Type.

### getGenerator

    public Generator getGenerator(javax.wsdl.Definition definition,
                                  SymbolTable symbolTable)

  Get a Generator implementation that will generate anything that doesn't fit into the scope of any of the other Generators.

### setBaseTypeMapping

    public void setBaseTypeMapping(BaseTypeMapping btm)

  Get TypeMapping to use for translating QNames to base types

### getBaseTypeMapping

    public BaseTypeMapping getBaseTypeMapping()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.